MediaWiki:Common.css: Difference between revisions

From WikiTemp, the GBAtemp wiki
⧼vector-jumptonavigation⧽ ⧼vector-jumptosearch⧽
No edit summary
No edit summary
Line 1: Line 1:
/*<pre>*/
/*<pre>*/
/** CSS placed here will be applied to all skins */
/* CSS placed here will be applied to all skins */
 
div.noarticletext {
border: 1px solid #CCC;
background: #FFF;
padding: .2em 1em;
color: #000;
}
 
.allpagesredirect {
font-style:italic;
}


/*****
/*****
** Wikitable table class
** Wikitable table class
*****/
*****/
table.wikitable,
table.wikitable,
table.prettytable {
table.prettytable {
Line 36: Line 47:
     background-color: transparent;
     background-color: transparent;
}
}


/*****
/*****
** Compatibility list table class
** Compatibility list table class
*****/
*****/
table.compatibilitytable,
table.compatibilitytable,
table.compattable {
table.compattable {
Line 60: Line 70:
}
}


.allpagesredirect {
/*****
  font-style:italic;
* WikiEditor
*****/
.wikiEditor-ui-toolbar .group-insert {
border-right: 1px solid #DDD;
}
.wikiEditor-ui-toolbar div.group:last-child {
border-right: none;
}
#upload-list .file .input-change {
margin: 0 10px 0 38px;
}
}


/*****
/*****
** Experimental browser specific styles to make preformatted text wrap
** Experimental browser specific styles to make preformatted text wrap
*****/
*****/
pre {  
pre {  
  white-space: pre-wrap;      /* css-3 */
  white-space: pre-wrap;      /* css-3 */
Line 75: Line 96:
}
}


/* default skin for navigation boxes */
/*****
table.navbox {
** Standard Navigationsleisten, aka box hiding thingy from .de.  Documentation at [[Wikipedia:NavFrame]].
     background-color: #f9f9f9;
*****/
div.Boxmerge,
div.NavFrame {
     margin: 0;
    padding: 4px;
     border: 1px solid #aaa;
     border: 1px solid #aaa;
    clear: both;
    font-size: 90%;
    margin: 1em 0em 0em;
    padding: 2px;
     text-align: center;
     text-align: center;
     width: 100%;
     border-collapse: collapse;
    background-color :white;
}
}


table.navbox th {
    background-color: #ccf;
    padding-left: 1em;
    padding-right: 1em;
}
table.navbox tr:not(:first-child) th {
    background-color: #ddf;
}
@media print {
    .navbox {
        display: none;
    }
}
/*****
** Standard Navigationsleisten, aka box hiding thingy from .de.  Documentation at [[Wikipedia:NavFrame]].
*****/
div.Boxmerge,
div.NavFrame {
        margin: 0px;
        padding: 4px;
        border: 1px solid #aaa;
        text-align: center;
        border-collapse: collapse;
        background-color :white;
}
div.Boxmerge div.NavFrame {
div.Boxmerge div.NavFrame {
        border-style: none;
    border-style: none;
        border-style: hidden;
    border-style: hidden;
}
}
div.NavFrame + div.NavFrame {
div.NavFrame + div.NavFrame {
        border-top-style: none;
    border-top-style: none;
        border-top-style: hidden;
    border-top-style: hidden;
}
}
div.NavPic {
div.NavPic {
        background-color: #fff;
    background-color: #fff;
        margin: 0px;
    margin: 0;
        padding: 2px;
    padding: 2px;
        float: left;
    float: left;
}
}
div.NavFrame div.NavHead {
div.NavFrame div.NavHead {
        height: 1.6em;
    height: 1.6em;
        font-weight: bold;
    font-weight: bold;
        background-color: #ccccff;
    background-color: #ccccff;
        position:relative;
    position:relative;
        padding-top:3px;
    padding-top:3px;
}
}
div.NavFrame p {
div.NavFrame p {
        font-size: 100%;
    font-size: 100%;
}
}
div.NavFrame div.NavContent {
div.NavFrame div.NavContent {
        font-size: 100%;
    font-size: 100%;
}
}
div.NavFrame div.NavContent p {
div.NavFrame div.NavContent p {
         font-size: 100%;
         font-size: 100%;
}
}
div.NavEnd {
div.NavEnd {
        margin: 0px;
    margin: 0;
        padding: 0px;
    padding: 0;
        line-height: 1px;
    line-height: 1px;
        clear: both;
    clear: both;
}
}
a.NavToggle {
a.NavToggle {
        position:absolute;
    position:absolute;
        top:3px;
    top:3px;
        right:3px;
    right:3px;
        font-weight:normal;
    font-weight:normal;
        font-size:smaller;
    font-size:smaller;
}
}


/*****
/*****
** Default skin for navigation boxes  
** Default skin for navigation boxes  
*****/
*****/
table.navbox {            /* Navbox container style */
/*****
* Navbox
*****/
table.navbox {
    background-color: #f9f9f9;
     border: 1px solid #aaa;
     border: 1px solid #aaa;
     width: 100%;  
     clear: both;
    font-size: 90%;
     margin: auto;
     margin: auto;
     clear: both;
     padding: 1px;
     text-align: center;
     text-align: center;
     padding: 1px;
     width: 100%;
}
 
table.navbox tr:not(:first-child) th {
    background-color: #ddf;
}
}
table.navbox + table.navbox {  /* Single pixel border between adjacent navboxes */
 
     margin-top: -1px;          /* (doesn't work for IE6, but that's okay)       */
/* Single pixel border between adjacent navboxes */
table.navbox + table.navbox { 
     margin-top: -1px;          /* (doesn't work for IE6, but that's okay) */
}
}


Line 188: Line 197:
     text-align: center;      /* Title and above/below styles */
     text-align: center;      /* Title and above/below styles */
     padding:3px;
     padding:3px;
    background-color: #ccf;
     background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
     background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
     background-repeat:repeat-x;
     background-repeat:repeat-x;
Line 204: Line 214:
     background-repeat:repeat-x;
     background-repeat:repeat-x;
}
}
.navbox, .navbox-subgroup {
.navbox, .navbox-subgroup {
     background: #fdfdfd;    /* Background color */
     background: #fdfdfd;    /* Background color */
}
}
.navbox-list {
.navbox-list {
     border-color: #FFF;  /* Must match background color */
     border-color: #FFF;  /* Must match background color */
Line 227: Line 239:
     background: #e6e6ff;    /* Level 3 color */
     background: #e6e6ff;    /* Level 3 color */
}
}
.navbox-even {
.navbox-even {
     background: #f7f7f7;    /* Even row striping */
     background: #f7f7f7;    /* Even row striping */
}
}
.navbox-odd {
.navbox-odd {
     background: transparent; /* Odd row striping */
     background: transparent; /* Odd row striping */
Line 240: Line 254:
     width: auto;
     width: auto;
}
}
.navbox .collapseButton {  /* In navboxes, the show/hide button balances */
.navbox .collapseButton {  /* In navboxes, the show/hide button balances */
     width: 6em;            /* the vde links from [[Template:Navbar]],  */
     width: 6em;            /* the vde links from [[Template:Navbar]],  */
Line 245: Line 260:


/*****
/*****
** Infobox Styles
** Infobox Styles
*****/
*****/
.infobox {
.infobox {
     border:#AAA 1px solid;
     border:#AAA 1px solid;
Line 295: Line 310:


/*****
/*****
** Recent Changes
** Recent Changes
*****/
*****/
.mw-plusminus-pos {
.mw-plusminus-pos {
     color:green;
     color:green;

Revision as of 14:19, 18 December 2014

/*<pre>*/
/* CSS placed here will be applied to all skins */

div.noarticletext {
	border: 1px solid #CCC;
	background: #FFF;
	padding: .2em 1em;
	color: #000;
}

.allpagesredirect {
	font-style:italic;
}

/*****
 ** Wikitable table class
 *****/
table.wikitable,
table.prettytable {
    margin: 1em 1em 1em 0;
    background: #f9f9f9;
    border: 1px #aaa solid;
    border-collapse: collapse;
}
 
table.wikitable th, table.wikitable td,
table.prettytable th, table.prettytable td {
    border: 1px #aaa solid;
    padding: 0.2em;
}
 
table.wikitable th,
table.prettytable th {
    background: #f2f2f2;
    text-align: center;
}
 
table.wikitable caption,
table.prettytable caption {
    margin-left: inherit;
    margin-right: inherit;
    font-weight: bold;
}
 
table.prettytable code,
table.wikitable code {
    background-color: transparent;
}

/*****
 ** Compatibility list table class
 *****/
table.compatibilitytable,
table.compattable {
  margin: 1em 1em 1em 0;
  background: #f9f9f9;
  border: 1px black solid;
}

table.compatibilitytable th, table.compatibilitytable td,
table.compattable th, table.compattable td {
  padding: 0.1em;
}

table.compatibilitytable th,
table.compattable th {
  border: 1px #aaa solid;
  background: #f2f2f2;
  text-align: center;
}

/*****
 * WikiEditor
 *****/
.wikiEditor-ui-toolbar .group-insert {
	border-right: 1px solid #DDD;
}
 
.wikiEditor-ui-toolbar div.group:last-child {
	border-right: none;
}
 
#upload-list .file .input-change {
	margin: 0 10px 0 38px;
}

/*****
 ** Experimental browser specific styles to make preformatted text wrap
 *****/
pre { 
 white-space: pre-wrap;       /* css-3 */
 white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
 white-space: -pre-wrap;      /* Opera 4-6 */
 white-space: -o-pre-wrap;    /* Opera 7 */
 word-wrap: break-word;       /* Internet Explorer 5.5+ */
}

/*****
 ** Standard Navigationsleisten, aka box hiding thingy from .de.  Documentation at [[Wikipedia:NavFrame]].
 *****/
div.Boxmerge,
div.NavFrame {
    margin: 0;
    padding: 4px;
    border: 1px solid #aaa;
    text-align: center;
    border-collapse: collapse;
    background-color :white;
}

div.Boxmerge div.NavFrame {
    border-style: none;
    border-style: hidden;
}
div.NavFrame + div.NavFrame {
    border-top-style: none;
    border-top-style: hidden;
}
div.NavPic {
    background-color: #fff;
    margin: 0;
    padding: 2px;
    float: left;
}

div.NavFrame div.NavHead {
    height: 1.6em;
    font-weight: bold;
    background-color: #ccccff;
    position:relative;
    padding-top:3px;
}

div.NavFrame p {
    font-size: 100%;
}

div.NavFrame div.NavContent {
     font-size: 100%;
}
div.NavFrame div.NavContent p {
        font-size: 100%;
}

div.NavEnd {
    margin: 0;
    padding: 0;
    line-height: 1px;
    clear: both;
}

a.NavToggle {
    position:absolute;
    top:3px;
    right:3px;
    font-weight:normal;
    font-size:smaller;
}

/*****
 ** Default skin for navigation boxes 
 *****/
/*****
 * Navbox
 *****/
table.navbox {
    background-color: #f9f9f9;
    border: 1px solid #aaa;
    clear: both;
    font-size: 90%;
    margin: auto;
    padding: 1px;
    text-align: center;
    width: 100%;
}

table.navbox tr:not(:first-child) th {
    background-color: #ddf;
}

/* Single pixel border between adjacent navboxes */
table.navbox + table.navbox {  
    margin-top: -1px;          /* (doesn't work for IE6, but that's okay) */
}

.navbox-title {
    padding-top:3px;
    padding-bottom:3px;
    padding-left:7em;
    color:#222;
    font-size:11px;
    text-align:center;
}

.navbox-abovebelow,
table.navbox th {
    text-align: center;      /* Title and above/below styles */
    padding:3px;
    background-color: #ccf;
    background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
    background-repeat:repeat-x;
}

.navbox-group {              /* Group style */
    white-space: nowrap;
    text-align: right;
    font-weight: bold;
    padding:3px;
    padding-left: 1em;
    padding-right: 1em;
    width:1px;
    min-width:100px;
    background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
    background-repeat:repeat-x;
}

.navbox, .navbox-subgroup {
    background: #fdfdfd;     /* Background color */
}

.navbox-list {
    border-color: #FFF;   /* Must match background color */
    padding:3px;
    padding-left:5px;
    text-align:left;
    background: #F8F8FA;
}
.navbox-title, .navbox th {
    background:#CCF !important;        /* Level 1 color */
}

.navbox-abovebelow,
.navbox-group,
.navbox-subgroup .navbox-title {
    background: #DDF;        /* Level 2 color */
}

.navbox-subgroup .navbox-group, .navbox-subgroup .navbox-abovebelow {
    background: #e6e6ff;     /* Level 3 color */
}

.navbox-even {
    background: #f7f7f7;     /* Even row striping */
}

.navbox-odd {
    background: transparent; /* Odd row striping */
}
 
.collapseButton {          /* 'show'/'hide' buttons created dynamically */
    float: right;          /* by the CollapsibleTables javascript in    */
    font-weight: normal;   /* [[MediaWiki:Common.js]] are styled here    */
    text-align: right;     /* so they can be customised.                */
    width: auto;
}

.navbox .collapseButton {  /* In navboxes, the show/hide button balances */
    width: 6em;            /* the vde links from [[Template:Navbar]],   */
}                          /* so they need to be the same width.         */

/*****
 ** Infobox Styles
 *****/
.infobox {
    border:#AAA 1px solid;
    background: #F9F9F9; width:25em;
    text-align: left; float:right;
    margin: 0.5em 0 0.5em 1em;
    padding: 0.2em; border-radius:5px;
    -moz-border-radius:5px;
}

.infobox-title {
    font-size:16px;
    text-align:center;
    background: #CCF;
    font-weight:bold;
    background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
    background-repeat:repeat-x;
    padding: 10px;
}

.infobox-header {
    font-weight:bold;
    text-align:center;
    background: #CCF;
    padding-top:4px;
    padding-bottom:4px;
    background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
    background-repeat:repeat-x;
}

.infobox-label {
    background: #DDF;
    font-weight:bold;
    padding:4px;
    width:50%;
    background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
    background-repeat:repeat-x;
}

.infobox-below {
    text-align:center;
    background: #DDF;
    padding-top:4px;
    padding-bottom:4px;
    background-image:url('http://wiki.gbatemp.net/w/images/5/5e/TableFX.png') !important;
    background-repeat:repeat-x;
}

/*****
 ** Recent Changes
 *****/
.mw-plusminus-pos {
    color:green;
}

.mw-plusminus-neg {
    color:#BA0000;
}

/*</pre>*/